<div class="row">
  <div class="col">
    <mat-card>
      <div>
        <ngb-datepicker
          #dp1
          (select)="onDateSelection($event)"
          [startDate]="getStartDate(0)"
          [displayMonths]="4"
          [dayTemplate]="t"
          outsideDays="hidden"
        >
        </ngb-datepicker>
      </div>
      <div>
        <ngb-datepicker
          #dp2
          (select)="onDateSelection($event)"
          [startDate]="getStartDate(4)"
          [displayMonths]="4"
          [dayTemplate]="t"
          outsideDays="hidden"
          [navigation]="none"
        >
        </ngb-datepicker>
      </div>
      <div>
        <ngb-datepicker
          #dp3
          (select)="onDateSelection($event)"
          [startDate]="getStartDate(8)"
          [displayMonths]="4"
          [dayTemplate]="t"
          outsideDays="hidden"
          [navigation]="none"
        >
        </ngb-datepicker>
      </div>
      <ng-template #t let-date let-focused="focused">
        <span
          class="custom-day"
          [ngClass]="getTypeRangeClasses(date)"
          [class.focused]="focused"
          [class.range]="isRange(date)"
          [class.faded]="isHovered(date) || isInside(date)"
          (mouseenter)="hoveredDate = date"
          (mouseleave)="hoveredDate = null"
        >
          {{ date.day }}
        </span>
      </ng-template>
    </mat-card>
  </div>
  <div class="col">
    <div class="row">
      <mat-card class="side-toolbar">
        <fieldset>
          <legend>
            Selected date range
          </legend>
          <div>From date: {{ fromDate | ngbDate | date }}</div>
          <div>To date: {{ toDate | ngbDate | date }}</div>
        </fieldset>
        <fieldset>
          <legend>
            Day type
          </legend>
          <button mat-button [matMenuTriggerFor]="dayTypeSelect">
            {{ selectedDayType ? selectedDayType.name : 'Select day type' }}
          </button>
          <mat-menu #dayTypeSelect="matMenu">
            <button mat-menu-item *ngFor="let activity of dailyActivityTypes" (click)="addIntervalToCalendar(activity)">
              {{ activity.name }}
            </button>
          </mat-menu>
        </fieldset>
      </mat-card>
    </div>
    <div class="row">
      <mat-card class="side-toolbar" style="height: 100%">
        <mat-dialog-content style="min-height: 100%">
          <mat-chip-list #chipList>
            <mat-chip *ngFor="let interval of calendar.intervals" [ngClass]="getStyleOfDailyActivityType(interval.intervalType)">
              <div>{{ interval.start | ngbDate | date }} - {{ interval.end | ngbDate | date }}</div>
              <mat-icon matChipRemove (click)="removeIntervalFromCalendar(interval)">cancel</mat-icon>
            </mat-chip>
          </mat-chip-list>
        </mat-dialog-content>
      </mat-card>
    </div>
    <div class="row">
      <button mat-raised-button color="primary" style="width: 100%" (click)="saveCalendar()">Save calendar</button>
    </div>
  </div>
</div>
